## FLOWCHARTS 

A flowchart is a formalized graphic representation of a logic sequence, work or manufacturing process, organization chart, or similar formalized structure. The purpose of a flow chart is to provide people with a common language or reference point when dealing with a project or process.
The author of the book can add the flowcharts to their documentation using the plugin - “gitbook-plugin-flowchart”.


{% flowchart %}
st=>start: Start:>https://www.gitbook.com[blank]
e=>end:>https://www.gitbook.com/
op1=>operation: My work starts
sub1=>subroutine: My sub tasks
cond=>condition: Yes
or No?:>https://www.gitbook.com/
io=>inputoutput: catch if something...
 
st->op1->cond
cond(yes)->io->e
cond(no)->sub1(right)->op1
{% endflowchart %}