#!/usr/bin/env node

var gitbook = require('gitbook');
var Q = require('q');
var async = require('async');
var g = require('glob');
var i = 0;

// REVIEW: don't assume any constants or environments

g('example/*', function(err, files) {

    async.forEach(files, function(file, CB) {

        // REVIEW: what is the logic behind "output" ?
        var book = new gitbook.Book(file, {
            config: {
                output: 'output/' + file.replace('example/', '') + '/_book'
            }
        });
        // REVIEW: what other options exist as well as "website" - these should be configurable
        Q(book.parse())
            .then(function() {
                book.generate('website');
            })
        CB();
    }, function(err, done) {
        if (err) {
        // REVIEW: why not display the error?
            console.log('err');
        } else {
        // REVIEW: what is "done"? need to be more helpful. This is part of a project - not the whole project
            console.log('done');
        }
    });
});
