# Working With Markdown

Markdown is a text-to-HTML conversion tool for web writers. Markdown allows you to write using an easy-to-read, easy-to-write plain text format, then convert it to structurally valid XHTML (or HTML).
GitBook uses the Markdown syntax by default.
It has - Headers, Paragraphs, Line Breaks, Emphasis, Lists, Footnotes, Images, Code and Syntax Highlighting, Tables, Blockquotes, Inline HTML, Horizontal Tool and many more in the queue. 


Working with markdown 

# H1 - This is the h1 
## H2 - This is the h2
### H3 - This is the h3
#### H4 - This is the h4
##### H5 - This is the h5
###### H6 - This is the h6

# Adding Links 

[Click on me it will redirect you to google.com](https://www.google.com) 

[Click on me it will take you to google's home page](https://www.google.com "Google's Homepage")


# Adding Images

Here's our logo (hover to see the title text):

Inline-style:
![alt text](https://github.com/adam-p/markdown-here/raw/master/src/common/images/icon48.png "Logo Title Text 1")

Reference-style:
![alt text][logo]

[logo]: https://github.com/adam-p/markdown-here/raw/master/src/common/images/icon48.png "Logo Title Text 2"


# Adding Tables using Markdown

| Tables        | Position           | status  |
| ------------- |:-------------:| -----:|
| akshay 01      | right-aligned | great |
|Paul 02      | centered      |   great |
| Vishwanath 03 | are neat      |    great|
