# DIAGRAMS

Images are included in a very similar manner to web links, but are preceded by an exclamation mark. The 'alt text' (alt meaning alternative) is provided to users that cannot see the image for various reasons, thus the text should make sense without any visual cues. Doing this will also provide a reminder or hint to those editing the text in Markdown as to the purpose of the image.

The 'title' is displayed in a small pop up when the user hovers over the image and so can provide additional information.


![your alternative text here](https://t4.ftcdn.net/jpg/01/36/90/69/240_F_136906975_ESmzLfx9o4U5RqCFFeo8zSlFNwxV9xxD.jpg "Your Optional Title Goes Here")

And, like web links, you can organise your document by keeping all the URLs together with 'footnote' style references. Just give the image a short, unique name:

![your alternative text here][pixel]

and anywhere else in your document, associate that name with an image file:

[pixel]: https://t4.ftcdn.net/jpg/01/36/90/69/240_F_136906975_ESmzLfx9o4U5RqCFFeo8zSlFNwxV9xxD.jpg "Your Optional Title Goes Here"

For Refrence:

![Google logo](http://www.google.com/images/logo.gif "This is the Google logo")

The 'alt text', which is also important for accessibility reasons, will often be used by browsers when links to images are broken or temporarily unavailable:

<img src="http://www.underconsideration.com/brandnew/archives/google_broken_image_00_b_logo_detail.gif" width="48">



